# 「最新Java EEでかんたんWeb開発」のサンプルコード

「最新Java EEでかんたんWeb開発 ── ルーティング、DBアクセスからデプロイまで一巡り」のサンプルコードです。

## 動かし方

まず、ビルドをします。
次のコマンドを実行してください。

```
./gradlew uberJar
```

Windowsの場合は次のコマンドを実行してください。

```
gradlew.bat uberJar
```

※これは本誌の「UberJARを作成して起動する」で紹介したコマンドをGradleタスクで定義して実行しているものです。
実行されているコマンドの詳細は`build.gradle`に定義された`uberJar`タスクをご覧ください。

`build/libs`に`sample.jar`が作成されます。
これを`java`コマンドで実行します。

```
java -jar build/libs/sample.jar
```

Windowsの場合は次のコマンドです。

```
java -jar build\libs\sample.jar
```

`java`コマンドを実行すると、JARファイルに組み込まれたPayara Microが起動してアプリケーションをデプロイします。
次のようなログが出力されたらサーバーの起動とアプリケーションのデプロイは完了です。

```
[2016-07-18T21:07:13.872+0900] [Payara Micro 4.1] [INFO] [] [PayaraMicro] [tid: _ThreadID=1 _ThreadName=main] [timeMillis: 1468843633872] [levelValue: 800] Payara Micro  4.1.1.162 #badassmicrofish (build ) ready in 12901 (ms)
```

以下のアドレスにアクセスしてください。
ログイン画面が表示されます。

* http://localhost:8080/sample/app/shinsei

### ログインできるユーザーの種類

|役割|ユーザーID|パスワード|
|-|-|-|
|申請者|`backpaper0`|`backpaper0`|
|承認者|`irof`|`irof`|

一般ユーザーはデータの登録および申請が出来ます。
管理ユーザーは承認および棄却が出来ます。

## サンプルコードのファイル構成

```
LICENSE                                       このサンプルコードのライセンスです
README.md                                     このファイルです
build.gradle                                  Gradleのビルドスクリプトです
gradle                                        Gradleが使用するファイルが格納されています
gradlew                                       Gradleの起動スクリプトです
gradlew.bat                                   Gradleの起動スクリプトです(Windows用)
settings.gradle                               Gradleが使用するプロジェクトの設定ファイルです
src
└── main
    ├── java
    │   └── sample
    │       ├── SampleDataInitializer.java    サンプルデータを準備するためのクラスです
    │       ├── ShinseiApplication.java       JAX-RSのApplicationサブクラスです
    │       ├── data                          CDI上でJPAを利用するためのクラスが格納されています
    │       ├── entity                        JPAのエンティティと関連クラスが格納されています
    │       ├── resource                      JAX-RSのリソースクラスが格納されています
    │       ├── security                      ユーザーとログインに関するクラスが格納されています
    │       ├── service                       トランザクション境界となるビジネスロジックが格納されています
    │       └── ui                            JAX-RSとJSPを連携させるためのクラスが格納されてます
    ├── resources
    │   └── META-INF
    │       └── persistence.xml               JPAの設定ファイルです
    └── webapp
        ├── WEB-INF
        │   └── views                         JSPファイルが格納されています
        └── assets                            JavaScriptファイルやCSSファイルが格納されています
```

## ライセンス

このサンプルコード一式は[The MIT License](https://opensource.org/licenses/MIT)のもとに提供します。

## 作者

のざき、うらがみ
