package sample.data;

import javax.enterprise.context.Dependent;
import javax.enterprise.inject.Produces;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

/**
 * JPAのEntityManagerをCDIで扱えるようにするためのプロデュースメソッドを提供するクラスです。
 *
 */
@Dependent
public class JpaProvider {

    /**
     * EntityManager
     */
    //EntityManagerをインジェクションするためのアノテーションです。
    @PersistenceContext
    private EntityManager entityManager;

    /**
     * EntityManagerを返します。
     * 
     * @return EntityManager
     */
    //戻り値でCDI管理ビーンを定義するプロデュースメソッド
    //であることを表すアノテーションです。
    @Produces
    public EntityManager getEntityManager() {
        return entityManager;
    }
}
