package sample.entity;

import java.io.Serializable;

import javax.persistence.Entity;
import javax.persistence.GeneratedValue;
import javax.persistence.Id;

/**
 * システムを利用するユーザーを表すエンティティクラスです。
 *
 */
@Entity
public class Account implements Serializable {

    /**
     * ID
     */
    @Id
    @GeneratedValue
    private Long id;
    /**
     * ユーザー名
     */
    private String name;
    /**
     * 表示名
     */
    private String display;
    /**
     * 役割
     */
    private Role role;

    /**
     * IDを返します。
     * 
     * @return ID
     */
    public Long getId() {
        return id;
    }

    /**
     * IDを設定します。
     * 
     * @param id ID
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * ユーザー名を返します。
     * 
     * @return ユーザー名
     */
    public String getName() {
        return name;
    }

    /**
     * ユーザー名を設定します。
     * 
     * @param name ユーザー名
     */
    public void setName(String name) {
        this.name = name;
    }

    /**
     * 表示名を返します。
     * 
     * @return 表示名
     */
    public String getDisplay() {
        return display;
    }

    /**
     * 表示名を設定します。
     * 
     * @param display 表示名
     */
    public void setDisplay(String display) {
        this.display = display;
    }

    /**
     * 役割を返します。
     * 
     * @return 役割
     */
    public Role getRole() {
        return role;
    }

    /**
     * 役割を設定します。
     * 
     * @param role 役割
     */
    public void setRole(Role role) {
        this.role = role;
    }
}
