package sample.entity;

import java.io.Serializable;

import javax.persistence.Entity;
import javax.persistence.Id;

/**
 * ユーザーのログインパスワードを保持するエンティティクラスです。
 *
 */
@Entity
public class Password implements Serializable {

    /**
     * ID
     */
    @Id
    private Long id;
    /**
     * ハッシュ化されたパスワード
     */
    private byte[] hashed;

    /**
     * IDを返します。
     * 
     * @return ID
     */
    public Long getId() {
        return id;
    }

    /**
     * IDを設定します。
     * 
     * @param id ID
     */
    public void setId(Long id) {
        this.id = id;
    }

    /**
     * ハッシュ化されたパスワードを返します。
     * 
     * @return ハッシュ化されたパスワード
     */
    public byte[] getHashed() {
        return hashed;
    }

    /**
     * ハッシュ化されたパスワードを設定します。
     * 
     * @param hashed ハッシュ化されたパスワード
     */
    public void setHashed(byte[] hashed) {
        this.hashed = hashed;
    }
}