<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>申請</title>
    <link rel="stylesheet" href="<c:url value="/webjars/bootstrap/3.3.6/css/bootstrap.min.css"/>">
    <link rel="stylesheet" href="<c:url value="/webjars/bootstrap/3.3.6/css/bootstrap-theme.min.css"/>">
    <link rel="stylesheet" href="<c:url value="/assets/shinsei.css"/>">
    <script src="<c:url value="/webjars/jquery/1.11.1/jquery.min.js"/>"></script>
    <script src="<c:url value="/webjars/bootstrap/3.3.6/js/bootstrap.min.js"/>"></script>
    <script>
        $(function() {
            $('#register').on('click', function() {
                if (confirm('この内容で登録しますか？')) {
                    var params = {};
                    params.description = $('#description').val();
                    params.detail = $('#detail').val();
                    $.post('<c:url value="/app/shinsei"/>', params).then(function(model, status, jqXHR) {
                        alert('登録しました。');
                        location.href = jqXHR.getResponseHeader('location');
                    });
                }
            });
            $('#logout').on('click', function() {
                if (confirm('ログアウトしますか？')) {
                    $.post('<c:url value="/app/logout"/>').then(function(model) {
                        location.href = "<c:url value="/app/shinsei"/>";
                    });
                }
            });
        });
    </script>
</head>
<body>
    <div class="container">
        <ul class="nav nav-pills">
            <li role="presentation"><a href="<c:url value="/app/shinsei"/>">一覧へ戻る</a></li>
        </ul>
        <p class="user-information">
            <c:out value="${user.display}"/>
            <input type="button" value="ログアウト" id="logout" class="btn btn-default">
        </p>
        <div class="form-group">
            <label for="description">概要</label>
            <input type="text" id="description" class="form-control">
        </div>
        <div class="form-group">
            <label for="detail">詳細</label>
            <textarea id="detail" class="form-control"></textarea>
        </div>
        <input type="button" value="登録する" id="register" class="btn btn-primary btn-block">
    </div>
</body>
</html>
