<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<fmt:setBundle basename="application"/>
<c:set var="entity" value="${model.entity}"/>
<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>申請</title>
    <link rel="stylesheet" href="<c:url value="/webjars/bootstrap/3.3.6/css/bootstrap.min.css"/>">
    <link rel="stylesheet" href="<c:url value="/assets/shinsei.css"/>">
    <link rel="stylesheet" href="<c:url value="/webjars/bootstrap/3.3.6/css/bootstrap-theme.min.css"/>">
    <script src="<c:url value="/webjars/jquery/1.11.1/jquery.min.js"/>"></script>
    <script src="<c:url value="/webjars/bootstrap/3.3.6/js/bootstrap.min.js"/>"></script>
    <script>
        $(function() {
            $('#apply').on('click', function() {
                if (confirm('この内容で申請しますか？')) {
                    $.post('<c:url value="/app/shinsei/${entity.id}/apply"/>').then(function(model) {
                        alert('申請しました。');
                        location.reload();
                    });
                }
            });
            $('#approve').on('click', function() {
                if (confirm('この申請を承認しますか？')) {
                    var params = {};
                    params.reason = $('#reason').val();
                    $.post('<c:url value="/app/shinsei/${entity.id}/approve"/>', params).then(function(model) {
                        alert('承認しました。');
                        location.reload();
                    });
                }
            });
            $('#reject').on('click', function() {
                if (confirm('この申請を棄却しますか？')) {
                    var params = {};
                    params.reason = $('#reason').val();
                    $.post('<c:url value="/app/shinsei/${entity.id}/reject"/>', params).then(function(model) {
                        alert('棄却しました。');
                        location.reload();
                    });
                }
            });
            $('#logout').on('click', function() {
                if (confirm('ログアウトしますか？')) {
                    $.post('<c:url value="/app/logout"/>').then(function(model) {
                        location.href = "<c:url value="/app/shinsei"/>";
                    });
                }
            });
        });
    </script>
</head>
<body>
    <div class="container">
        <ul class="nav nav-pills">
            <li role="presentation"><a href="<c:url value="/app/shinsei"/>">一覧へ戻る</a></li>
        </ul>
        <p class="user-information">
            <c:out value="${user.display}"/>
            <input type="button" value="ログアウト" id="logout" class="btn btn-default">
        </p>
        <c:if test="${model.applied}">
            <div class="panel panel-<fmt:message key="classsuffix.${entity.status}"/>">
                <div class="panel-heading"><fmt:message key="status.${entity.status}"/></div>
                <c:if test="${model.approved or model.rejected}">
                    <div class="panel-body">
                        <c:forTokens items="${entity.reason}" var="line" varStatus="st" delims="
">
                            <c:if test="${st.index > 0}">
                                <br>
                            </c:if>
                            <c:out value="${line}"/>
                        </c:forTokens>
                    </div>
                </c:if>
                <ul class="list-group">
                    <c:if test="${model.approved}">
                        <li class="list-group-item">
                            承認者：<c:out value="${entity.approver.display}"/>
                            (承認日時：<c:out value="${entity.approvedAt}"/>)
                        </li>
                    </c:if>
                    <c:if test="${model.rejected}">
                        <li class="list-group-item">
                            棄却者：<c:out value="${entity.approver.display}"/>
                            (棄却日時：<c:out value="${entity.approvedAt}"/>)
                        </li>
                    </c:if>
                    <li class="list-group-item">
                        申請者：<c:out value="${entity.applicant.display}"/>
                        (申請日時：<c:out value="${entity.appliedAt}"/>)
                    </li>
                </ul>
            </div>
        </c:if>
        <div class="panel panel-default">
            <div class="panel-heading">概要</div>
            <div class="panel-body"><c:out value="${entity.description}"/></div>
        </div>
        <div class="panel panel-default">
            <div class="panel-heading">詳細</div>
            <div class="panel-body">
                        <c:forTokens items="${entity.detail}" var="line" varStatus="st" delims="
">
                            <c:if test="${st.index > 0}">
                                <br>
                            </c:if>
                            <c:out value="${line}"/>
                        </c:forTokens>
            </div>
        </div>
        <c:if test="${model.isEnabledToApplyBy(user)}">
            <form class="form-newShinsei">
                <div class="btn-group">
                    <input type="button" value="申請する" id="apply" class="btn btn-primary">
                </div>
            </form>
        </c:if>
        <c:if test="${model.isEnabledToApproveBy(user)}">
            <div class="panel panel-default">
                <div class="panel-heading">承認/棄却</div>
                <div class="panel-body">
                    <div class="form-group">
                        <label for="reason">理由</label>
                        <textarea id="reason" class="form-control"></textarea>
                    </div>
                    <p>
                        <input type="button" value="承認する" id="approve" class="btn btn-success">
                        <input type="button" value="棄却する" id="reject" class="btn btn-danger">
                    </p>
                </div>
            </div>
        </c:if>
    </div>
</body>
</html>
