<%@ page contentType="text/html; charset=UTF-8"%>
<%@ taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core"%>
<%@ taglib prefix="fn" uri="http://java.sun.com/jsp/jstl/functions"%>
<%@ taglib prefix="fmt" uri="http://java.sun.com/jsp/jstl/fmt"%>
<fmt:setBundle basename="application"/>
<!DOCTYPE html>
<html>
<head>
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <title>申請一覧</title>
    <link rel="stylesheet" href="<c:url value="/webjars/bootstrap/3.3.6/css/bootstrap.min.css"/>">
    <link rel="stylesheet" href="<c:url value="/webjars/bootstrap/3.3.6/css/bootstrap-theme.min.css"/>">
    <link rel="stylesheet" href="<c:url value="/assets/shinsei.css"/>">
    <script src="<c:url value="/webjars/jquery/1.11.1/jquery.min.js"/>"></script>
    <script src="<c:url value="/webjars/bootstrap/3.3.6/js/bootstrap.min.js"/>"></script>
    <script>
        $(function() {
            $('#logout').on('click', function() {
                if (confirm('ログアウトしますか？')) {
                    $.post('<c:url value="/app/logout"/>').then(function(model) {
                        location.href = "<c:url value="/app/shinsei"/>";
                    });
                }
            });
        });
    </script>
</head>
<body>
    <div class="container">
        <p class="user-information">
            <c:out value="${user.display}"/>
            <input type="button" value="ログアウト" id="logout" class="btn btn-default">
        </p>
        <c:if test="${model.isEnabledToCreateBy(user)}">
            <p>
                <a href="<c:url value="/app/shinsei/new"/>" class="btn btn-default">新規申請</a>
            </p>
        </c:if>
        <table class="table">
            <tr>
                <th>概要</th>
                <th>ステータス</th>
                <th>申請日</th>
                <th>承認・棄却日</th>
            </tr>
            <c:forEach items="${model.list}" var="item">
                <tr>
                    <td>
                        <a href="<c:url value="/app/shinsei/${item.id}"/>">
                            <c:out value="${item.description}"/>
                        </a>
                    </td>
                    <td><fmt:message key="status.${item.status}"/></td>
                    <td><c:out value="${item.appliedAt}"/></td>
                    <td><c:out value="${item.approvedAt}"/></td>
                </tr>
            </c:forEach>
        </table>
    </div>
</body>
</html>
